package com.example.data;

import java.util.List;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.example.model.test.Foo;
import com.example.model.test1.Bar;

@Stateless
@LocalBean
public class TestOneFacade {
	@PersistenceContext(unitName = "test1")
	private EntityManager em;
	
	@SuppressWarnings("unchecked")
	public List<Bar> getAllBarRecords() {
		return em.createQuery("select b from Bar").getResultList();
	}
	
	public Bar getBarById(long id) {
		return em.find(Bar.class, Long.valueOf(id));
	}
	
	public void insertBar(Bar aBar) {
		em.persist(aBar);
	}
	
	public void updateBar(Bar aBar) {
		em.merge(aBar);
	}
}
