package com.example.logic;

import java.util.List;

import javax.ejb.EJB;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;

import com.example.data.TestFacade;
import com.example.data.TestOneFacade;
import com.example.model.test.Foo;
import com.example.model.test1.Bar;

@Stateless
@LocalBean
public class FooBarBean {
	@EJB
	TestFacade tf;
	
	@EJB
	TestOneFacade tf1;
	
	public void createFoo(String attr1, String attr2) {
		tf.insertFoo(new Foo(attr1, attr2));
	}
	
	public Foo findFoo(long id) {
		return tf.getFooById(id);
	}
	
	public void setFooAttrs(long id, String attr1, String attr2) {
		Foo f = tf.getFooById(id);
		if (f == null) {
			System.err.println("Foo not found for id = " + id);
			return;
		}
		
		f.setAttr1(attr1);
		f.setAttr2(attr2);
		
		tf.updateFoo(f);
	}
	
	public List<Foo> getAllFooRecords() {
		return tf.getAllFooRecords();
	}
	
	public void createBar(String attr1, String attr2) {
		tf1.insertBar(new Bar(attr1, attr2));
	}
	
	public Bar findBar(long id) {
		return tf1.getBarById(id);
	}
	
	public void setBarAttrs(long id, String attr1, String attr2) {
		Bar b = tf1.getBarById(id);
		if (b == null) {
			System.err.println("Bar not found for id = " + id);
			return;
		}
		
		b.setAttr1(attr1);
		b.setAttr2(attr2);
		
		tf1.updateBar(b);
	}
	
	List<Bar> getAllBarRecords() {
		return tf1.getAllBarRecords();
	}
}
